<?xml version="1.0" encoding="utf-8"?>
<Config>
    <nightAiAwb enable="1">     <!-- 0: disable 1: enable -->
        <inputNetModelWidth> 256 </inputNetModelWidth>
        <inputNetModelHeight> 256 </inputNetModelHeight>
        <modelPath>/odm/etc/camera/awb/ellipAiAwbNet.ms</modelPath>
    </nightAiAwb>
    <nightAiawbVersion>33</nightAiawbVersion>

    <cameraColor>
        <enableUsePreviewGain>0</enableUsePreviewGain>
        <pqSetting>
            <p2targetMat>
                <value> 1.040365, 0.025687, 0.078881, -0.022939, 1.000000, -0.003504, 0.007562, -0.242824, 0.861827 </value>
            </p2targetMat>

            <target2pMat>
                <value> 0.960891, -0.046084, -0.088136, 0.022034, 1.000000, 0.002049, -0.002223, 0.282160, 1.161756 </value>
            </target2pMat>

            <otpShift>
                <value> 1.013949, 1.006310 </value>
            </otpShift>

            <otpShiftNet>
                <value>1.00, 1.00</value>
            </otpShiftNet>

            <awbGoldenCalibParam>
                <value>2391, 1024, 2354</value>
            </awbGoldenCalibParam>

            <pureColorThresh>
                <value>0.9, 0.05, 1.0, 0.85</value>
            </pureColorThresh>

            <pureColorIllum>
                <value>0.42, 1.0, 0.65</value>
            </pureColorIllum>

            <tempBinTable>
                <value> 0.14, 0.09, 0.045,  0.0, -0.06, -0.12, -0.18, -0.23, -0.29, -0.34 </value>
            </tempBinTable>

            <duvBinTable>
                <value> -0.048, -0.032, -0.016, 0, 0.016, 0.032, 0.048 </value>
            </duvBinTable>

            <lvBinTable>
                <value> -10, -15, -20, -30, -40 </value>
            </lvBinTable>

            <tempShortBinTable>
                <value> 0.09, 0.0, -0.12, -0.23, -0.34 </value>
            </tempShortBinTable>

            <duvShortBinTable>
                <value> -0.048, -0.024, 0, 0.024, 0.048 </value>
            </duvShortBinTable>

            <ellipMode>
                <enableDynamicCcm>1</enableDynamicCcm>
                <wCastDuvNight>
                    <matrix0> 0.0, 0.005, 0.003, 0.003, -0.01, 0.005, -0.005, -0.02, -0.01, -0.01 </matrix0>
                    <matrix1> 0.01, 0.015, 0.008, 0.003, -0.018, 0.001, 0.015, -0.018, -0.01, 0.01 </matrix1>
                    <matrix2> 0.01, 0.02, 0.025, 0.005, 0.006, 0.002, -0.004, 0.014, 0.015, 0.011 </matrix2>
                    <matrix3> 0.015, -0.001, -0.001, -0.015, 0.02, 0.01, -0.01, 0.012, -0.02, -0.03 </matrix3>
                    <matrix4> 0.035, 0.027, 0.002, 0.004, -0.008, -0.008, 0.008, 0.014, 0.005, -0.012 </matrix4>
                    <matrix5> 0.015, 0.01, 0.01, 0.007, -0.026, -0.024, 0.002, 0.015, 0.005, -0.01 </matrix5>
                    <matrix6> 0.0, 0.0, 0.0, 0.0, -0.01, -0.01, 0.005, 0.005, 0.0, 0.0 </matrix6>
                </wCastDuvNight>

                <wCastTempNight>
                    <matrix0> -0.02, -0.02, -0.015, 0.00, 0.025, 0.0, 0.005, -0.01, 0.01, 0.015 </matrix0>
                    <matrix1> -0.02, -0.02, -0.02, 0.00, 0.028, 0.01, 0.00, -0.023, -0.005, 0.004 </matrix1>
                    <matrix2> 0.00, 0.01, 0.002, -0.015, 0.013, 0.025, 0.024, 0.003, -0.008, 0.002 </matrix2>
                    <matrix3> 0.02, 0.025, 0.025, -0.002, 0.00, 0.018, 0.018, 0.006, -0.004, 0.001 </matrix3>
                    <matrix4> 0.033, 0.033, 0.015, -0.005, -0.003, 0.002, 0.026, 0.023, -0.007, -0.018 </matrix4>
                    <matrix5> 0.033, 0.033, 0.025, 0.005, -0.012, -0.012, 0.025, 0.03, 0.00, -0.023 </matrix5>
                    <matrix6> -0.02, 0.0, 0.005, 0.004, -0.01, 0.0, 0.005, 0.02, 0.0, 0.0 </matrix6>
                </wCastTempNight>

                <wMergePrevTemp>
                    <matrix0> 0, 0, 50, 50, 50, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                </wMergePrevTemp>

                <wMergePrevDuv>
                    <matrix0> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                    <matrix5> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 70, 70, 0, 0, 50, 70, 70, 0, 0 </matrix5>
                    <matrix6> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix6>
                    <matrix7> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix7>
                    <matrix8> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix8>
                    <matrix9> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 20, 20, 0, 0, 50, 0, 0, 0, 0 </matrix9>
                </wMergePrevDuv>
            </ellipMode>

            <longFrameMode>
                <enableDynamicCcm>0</enableDynamicCcm>
                <wCastDuvNight>
                    <matrix0> 0.0, 0.005, 0.005, 0.01, 0.01, 0.01, -0.005, -0.02, -0.01, -0.01 </matrix0>
                    <matrix1> 0.0, 0.005, 0.005, 0.0, 0.005, 0.0, 0.01, -0.023, -0.01, 0.01 </matrix1>
                    <matrix2> 0.0, 0.0, 0.008, 0.008, 0.008, 0.009, 0.003, -0.008, 0.005, 0.011 </matrix2>
                    <matrix3> 0.015, 0.01, 0.005, 0.005, 0.013, 0.008, 0.004, 0.003, 0.006, 0.006 </matrix3>
                    <matrix4> 0.015, 0.01, -0.005, 0.004, 0.013, 0.011, 0.008, -0.006, -0.003, 0.008 </matrix4>
                    <matrix5> 0.0, 0.0, 0.0, 0.007, 0.01, 0.012, 0.002, -0.002, -0.005, -0.005 </matrix5>
                    <matrix6> 0.0, 0.0, 0.0, 0.0, -0.01, -0.01, 0.005, 0.005, 0.0, 0.0 </matrix6>
                </wCastDuvNight>

                <wCastTempNight>
                    <matrix0> -0.02, -0.02, -0.01, -0.01, -0.01, -0.01, 0.005, -0.01, 0.01, 0.015 </matrix0>
                    <matrix1> -0.02, -0.02, -0.01, -0.01, 0.003, -0.01, 0.011, -0.013, -0.005, 0.004 </matrix1>
                    <matrix2> -0.02, -0.01, 0.0, -0.005, 0.003, 0.0, 0.002, -0.008, -0.008, 0.002 </matrix2>
                    <matrix3> 0.0, -0.015, -0.01, -0.002, 0.006, 0.008, 0.003, 0.006, -0.004, 0.001 </matrix3>
                    <matrix4> 0.015, 0.015, -0.005, -0.005, 0.012, 0.017, 0.011, -0.007, -0.002, 0.002 </matrix4>
                    <matrix5> 0.0, 0.0, 0.005, 0.005, 0.008, 0.008, 0.01, 0.012, 0.005, -0.003 </matrix5>
                    <matrix6> -0.02, 0.0, 0.005, 0.004, -0.01, 0.0, 0.005, 0.02, 0.0, 0.0 </matrix6>
                </wCastTempNight>

                <wMergePrevTemp>
                    <matrix0> 0, 0, 50, 50, 50, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                </wMergePrevTemp>

                <wMergePrevDuv>
                    <matrix0> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                    <matrix5> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 70, 70, 0, 0, 50, 70, 70, 0, 0 </matrix5>
                    <matrix6> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix6>
                    <matrix7> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix7>
                    <matrix8> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix8>
                    <matrix9> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 20, 20, 0, 0, 50, 0, 0, 0, 0 </matrix9>
                </wMergePrevDuv>
            </longFrameMode>

            <superNightMode>
                <enableDynamicCcm>0</enableDynamicCcm>
                <wCastDuvNight>
                    <matrix0> 0.0, 0.005, 0.005, 0.01, 0.01, 0.01, -0.005, -0.02, -0.01, -0.01 </matrix0>
                    <matrix1> 0.0, 0.005, 0.005, 0.0, 0.005, 0.0, 0.01, -0.023, -0.01, 0.01 </matrix1>
                    <matrix2> 0.0, 0.0, 0.008, 0.008, 0.008, 0.009, 0.003, -0.008, 0.005, 0.011 </matrix2>
                    <matrix3> 0.015, 0.01, 0.005, 0.005, 0.013, 0.008, 0.004, 0.003, 0.006, 0.006 </matrix3>
                    <matrix4> 0.015, 0.01, -0.005, 0.004, 0.013, 0.011, 0.008, -0.006, -0.003, 0.008 </matrix4>
                    <matrix5> 0.0, 0.0, 0.0, 0.007, 0.01, 0.012, 0.002, -0.002, -0.005, -0.005 </matrix5>
                    <matrix6> 0.0, 0.0, 0.0, 0.0, -0.01, -0.01, 0.005, 0.005, 0.0, 0.0 </matrix6>
                </wCastDuvNight>

                <wCastTempNight>
                    <matrix0> -0.02, -0.02, -0.01, -0.01, -0.01, -0.01, 0.005, -0.01, 0.01, 0.015 </matrix0>
                    <matrix1> -0.02, -0.02, -0.01, -0.01, 0.003, -0.01, 0.011, -0.013, -0.005, 0.004 </matrix1>
                    <matrix2> -0.02, -0.01, 0.0, -0.005, 0.003, 0.0, 0.002, -0.008, -0.008, 0.002 </matrix2>
                    <matrix3> 0.0, -0.015, -0.01, -0.002, 0.006, 0.008, 0.003, 0.006, -0.004, 0.001 </matrix3>
                    <matrix4> 0.015, 0.015, -0.005, -0.005, 0.012, 0.017, 0.011, -0.007, -0.002, 0.002 </matrix4>
                    <matrix5> 0.0, 0.0, 0.005, 0.005, 0.008, 0.008, 0.01, 0.012, 0.005, -0.003 </matrix5>
                    <matrix6> -0.02, 0.0, 0.005, 0.004, -0.01, 0.0, 0.005, 0.02, 0.0, 0.0 </matrix6>
                </wCastTempNight>

                <wMergePrevTemp>
                    <matrix0> 0, 0, 50, 50, 50, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                </wMergePrevTemp>

                <wMergePrevDuv>
                    <matrix0> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                    <matrix5> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 70, 70, 0, 0, 50, 70, 70, 0, 0 </matrix5>
                    <matrix6> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix6>
                    <matrix7> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix7>
                    <matrix8> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix8>
                    <matrix9> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 20, 20, 0, 0, 50, 0, 0, 0, 0 </matrix9>
                </wMergePrevDuv>
            </superNightMode>
        </pqSetting>
    </cameraColor>

    <cameraWide>
        <enableUsePreviewGain>0</enableUsePreviewGain>
        <pqSetting>
            <p2targetMat>
                <value> 1.152595, -0.603291, -0.013500, -0.086320, 1.000000, -0.008704, -0.067249, -0.159662, 0.938560 </value>
            </p2targetMat>

            <target2pMat>
                <value> 0.867051, 0.525854, 0.017348, 0.075496, 1.000000, 0.010360, 0.074969, 0.207792, 1.018177 </value>
            </target2pMat>

            <otpShift>
                <value>1.008437, 0.984214</value>
            </otpShift>

            <otpShiftNet>
                <value>1.00, 1.00</value>
            </otpShiftNet>

            <awbGoldenCalibParam>
                <value>2048, 1024, 1798</value>
            </awbGoldenCalibParam>

            <pureColorThresh>
                <value>0.9, 0.05, 1.0, 0.85</value>
            </pureColorThresh>

            <pureColorIllum>
                <value>0.52, 1.0, 0.75</value>
            </pureColorIllum>

            <tempBinTable>
                <value> 0.14, 0.09, 0.045,  0.0, -0.06, -0.12, -0.18, -0.23, -0.29, -0.34 </value>
            </tempBinTable>

            <duvBinTable>
                <value> -0.048, -0.032, -0.016, 0, 0.016, 0.032, 0.048 </value>
            </duvBinTable>

            <lvBinTable>
                <value> -10, -15, -20, -30, -40 </value>
            </lvBinTable>

            <tempShortBinTable>
                <value> 0.09, 0.0, -0.12, -0.23, -0.34 </value>
            </tempShortBinTable>

            <duvShortBinTable>
                <value> -0.048, -0.024, 0, 0.024, 0.048 </value>
            </duvShortBinTable>

            <ellipMode>
                <enableDynamicCcm>0</enableDynamicCcm>
                <wCastDuvNight>
                    <matrix0> 0.0, 0.005, 0.015, 0.015, 0.01, 0.01, -0.005, -0.02, -0.01, -0.01 </matrix0>
                    <matrix1> 0.0, 0.005, 0.02, 0.015, 0.005, 0.0, 0.01, -0.023, -0.01, 0.01 </matrix1>
                    <matrix2> 0.0, 0.0, 0.015, 0.015, 0.008, 0.009, 0.003, -0.008, 0.005, 0.011 </matrix2>
                    <matrix3> 0.015, -0.008, -0.008, 0.005, 0.013, 0.008, 0.004, 0.003, 0.006, 0.006 </matrix3>
                    <matrix4> 0.015, 0.01, -0.005, 0.004, 0.013, 0.011, 0.008, -0.006, -0.003, 0.008 </matrix4>
                    <matrix5> 0.0, 0.0, 0.0, 0.007, 0.01, 0.012, 0.002, -0.002, -0.005, -0.005 </matrix5>
                    <matrix6> 0.0, 0.0, 0.0, 0.0, -0.01, -0.01, 0.005, 0.005, 0.0, 0.0 </matrix6>
                </wCastDuvNight>

                <wCastTempNight>
                    <matrix0> -0.02, -0.02, -0.015, -0.015, -0.01, -0.01, 0.005, -0.01, 0.01, 0.015 </matrix0>
                    <matrix1> -0.02, -0.02, -0.02, -0.015, 0.003, -0.01, 0.011, -0.013, -0.005, 0.004 </matrix1>
                    <matrix2> -0.02, -0.01, -0.018, -0.015, 0.003, 0.0, 0.002, -0.008, -0.008, 0.002 </matrix2>
                    <matrix3> 0.0, 0.005, 0.005, -0.002, 0.006, 0.008, 0.003, 0.006, -0.004, 0.001 </matrix3>
                    <matrix4> 0.015, 0.015, -0.005, -0.005, 0.012, 0.017, 0.011, -0.007, -0.002, 0.002 </matrix4>
                    <matrix5> 0.0, 0.0, 0.005, 0.005, 0.008, 0.008, 0.01, 0.012, 0.005, -0.003 </matrix5>
                    <matrix6> -0.02, 0.0, 0.005, 0.004, -0.01, 0.0, 0.005, 0.02, 0.0, 0.0 </matrix6>
                </wCastTempNight>

                <wMergePrevTemp>
                    <matrix0> 0, 0, 50, 50, 50, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                </wMergePrevTemp>

                <wMergePrevDuv>
                    <matrix0> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                    <matrix5> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 70, 70, 0, 0, 50, 70, 70, 0, 0 </matrix5>
                    <matrix6> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix6>
                    <matrix7> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix7>
                    <matrix8> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix8>
                    <matrix9> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 20, 20, 0, 0, 50, 0, 0, 0, 0 </matrix9>
                </wMergePrevDuv>
            </ellipMode>

            <longFrameMode>
                <enableDynamicCcm>0</enableDynamicCcm>
                <wCastDuvNight>
                    <matrix0> 0.0, 0.005, 0.005, 0.01, 0.01, 0.01, -0.005, -0.02, -0.01, -0.01 </matrix0>
                    <matrix1> 0.0, 0.005, 0.005, 0.0, 0.005, 0.0, 0.01, -0.023, -0.01, 0.01 </matrix1>
                    <matrix2> 0.0, 0.0, 0.008, 0.008, 0.008, 0.009, 0.003, -0.008, 0.005, 0.011 </matrix2>
                    <matrix3> 0.015, 0.01, 0.005, 0.005, 0.013, 0.008, 0.004, 0.003, 0.006, 0.006 </matrix3>
                    <matrix4> 0.015, 0.01, -0.005, 0.004, 0.013, 0.011, 0.008, -0.006, -0.003, 0.008 </matrix4>
                    <matrix5> 0.0, 0.0, 0.0, 0.007, 0.01, 0.012, 0.002, -0.002, -0.005, -0.005 </matrix5>
                    <matrix6> 0.0, 0.0, 0.0, 0.0, -0.01, -0.01, 0.005, 0.005, 0.0, 0.0 </matrix6>
                </wCastDuvNight>

                <wCastTempNight>
                    <matrix0> -0.02, -0.02, -0.01, -0.01, -0.01, -0.01, 0.005, -0.01, 0.01, 0.015 </matrix0>
                    <matrix1> -0.02, -0.02, -0.01, -0.01, 0.003, -0.01, 0.011, -0.013, -0.005, 0.004 </matrix1>
                    <matrix2> -0.02, -0.01, 0.0, -0.005, 0.003, 0.0, 0.002, -0.008, -0.008, 0.002 </matrix2>
                    <matrix3> 0.0, -0.015, -0.01, -0.002, 0.006, 0.008, 0.003, 0.006, -0.004, 0.001 </matrix3>
                    <matrix4> 0.015, 0.015, -0.005, -0.005, 0.012, 0.017, 0.011, -0.007, -0.002, 0.002 </matrix4>
                    <matrix5> 0.0, 0.0, 0.005, 0.005, 0.008, 0.008, 0.01, 0.012, 0.005, -0.003 </matrix5>
                    <matrix6> -0.02, 0.0, 0.005, 0.004, -0.01, 0.0, 0.005, 0.02, 0.0, 0.0 </matrix6>
                </wCastTempNight>

                <wMergePrevTemp>
                    <matrix0> 0, 0, 50, 50, 50, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                </wMergePrevTemp>

                <wMergePrevDuv>
                    <matrix0> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                    <matrix5> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 70, 70, 0, 0, 50, 70, 70, 0, 0 </matrix5>
                    <matrix6> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix6>
                    <matrix7> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix7>
                    <matrix8> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix8>
                    <matrix9> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 20, 20, 0, 0, 50, 0, 0, 0, 0 </matrix9>
                </wMergePrevDuv>
            </longFrameMode>

            <superNightMode>
                <enableDynamicCcm>0</enableDynamicCcm>
                <wCastDuvNight>
                    <matrix0> 0.0, 0.005, 0.005, 0.01, 0.01, 0.01, -0.005, -0.015, -0.01, -0.01 </matrix0>
                    <matrix1> 0.0, 0.005, 0.005, 0.0, 0.005, 0.0, 0.015, -0.015, 0.008, 0.012 </matrix1>
                    <matrix2> 0.0, 0.0, 0.008, 0.008, 0.008, 0.009, 0.003, -0.008, 0.005, 0.011 </matrix2>
                    <matrix3> 0.015, 0.01, 0.005, 0.005, 0.013, 0.008, 0.004, 0.008, 0.006, 0.006 </matrix3>
                    <matrix4> 0.015, 0.01, -0.005, 0.004, 0.013, 0.011, 0.008, 0.0, 0.0, 0.008 </matrix4>
                    <matrix5> 0.0, 0.0, 0.0, 0.007, 0.01, 0.012, 0.002, -0.002, -0.005, -0.005 </matrix5>
                    <matrix6> 0.0, 0.0, 0.0, 0.0, -0.01, -0.01, 0.005, 0.005, 0.0, 0.0 </matrix6>
                </wCastDuvNight>

                <wCastTempNight>
                    <matrix0> -0.02, -0.02, -0.01, -0.01, -0.01, -0.01, 0.005, -0.01, 0.01, 0.015 </matrix0>
                    <matrix1> -0.02, -0.02, -0.01, -0.01, 0.003, -0.01, 0.011, -0.013, -0.005, 0.004 </matrix1>
                    <matrix2> -0.02, -0.01, 0.0, -0.005, 0.003, 0.0, 0.002, -0.008, -0.008, 0.002 </matrix2>
                    <matrix3> 0.0, -0.015, -0.01, -0.002, 0.006, 0.008, 0.003, 0.006, -0.004, 0.001 </matrix3>
                    <matrix4> 0.015, 0.015, -0.005, -0.005, 0.012, 0.017, 0.011, -0.007, -0.002, 0.002 </matrix4>
                    <matrix5> 0.0, 0.0, 0.005, 0.005, 0.008, 0.008, 0.01, 0.012, 0.005, -0.003 </matrix5>
                    <matrix6> -0.02, 0.0, 0.005, 0.004, -0.01, 0.0, 0.005, 0.02, 0.0, 0.0 </matrix6>
                </wCastTempNight>

                <wMergePrevTemp>
                    <matrix0> 0, 0, 50, 50, 50, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                </wMergePrevTemp>

                <wMergePrevDuv>
                    <matrix0> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                    <matrix5> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 70, 70, 0, 0, 50, 70, 70, 0, 0 </matrix5>
                    <matrix6> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix6>
                    <matrix7> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix7>
                    <matrix8> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 0, 0, 0, 0, 50, 0, 0, 0, 0 </matrix8>
                    <matrix9> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 50, 20, 20, 0, 0, 50, 0, 0, 0, 0 </matrix9>
                </wMergePrevDuv>
            </superNightMode>
        </pqSetting>
    </cameraWide>

    <cameraFront>
        <enableUsePreviewGain>0</enableUsePreviewGain>
        <pqSetting>
            <p2targetMat>
                <value> 1.104796, -0.786159, 0.038268, -0.029113, 1.000000, -0.058579, -0.083554, -0.178635, 0.944986 </value>
            </p2targetMat>

            <target2pMat>
                <value> 0.892389, 0.702887, 0.007433, 0.030945, 1.000000, 0.060736, 0.084753, 0.251182, 1.033129 </value>
            </target2pMat>

            <otpShift>
                <value>0.991105, 1.001324</value>
            </otpShift>

            <otpShiftNet>
                <value>1.00, 1.00</value>
            </otpShiftNet>

            <awbGoldenCalibParam>
                <value>1609, 1024, 1908</value>
            </awbGoldenCalibParam>

            <p2targetMat1>
                <value> 1.094263, -0.779038, 0.058962, -0.023738, 1.000000, -0.072320, -0.062860, -0.149208, 0.952851 </value>
            </p2targetMat1>

            <target2pMat1>
                <value> 0.900308, 0.700999, -0.002506, 0.025961, 1.000000, 0.074292, 0.063459, 0.202836, 1.028091 </value>
            </target2pMat1>

            <otpShift1>
                <value>0.995361, 1.000125</value>
            </otpShift1>

            <otpShiftNet1>
                <value>1.00, 1.00</value>
            </otpShiftNet1>

            <awbGoldenCalibParam1>
                <value>1609, 1024, 1908</value>
            </awbGoldenCalibParam1>

            <tempBinTable>
                <value> 0.14, 0.09, 0.045,  0.0, -0.06, -0.12, -0.18, -0.23, -0.29, -0.34 </value>
            </tempBinTable>

            <duvBinTable>
                <value> -0.048, -0.032, -0.016, 0, 0.016, 0.032, 0.048 </value>
            </duvBinTable>

            <lvBinTable>
                <value> -10, -15, -20, -30, -40 </value>
            </lvBinTable>

            <tempShortBinTable>
                <value> 0.09, 0.0, -0.12, -0.23, -0.34 </value>
            </tempShortBinTable>

            <duvShortBinTable>
                <value> -0.048, -0.024, 0, 0.024, 0.048 </value>
            </duvShortBinTable>

            <ellipMode>
                <enableDynamicCcm>0</enableDynamicCcm>
                <wCastDuvNight>
                    <matrix0> 0.0, 0.005, 0.005, 0.01, 0.01, 0.01, -0.005, -0.015, -0.01, -0.01 </matrix0>
                    <matrix1> 0.0, 0.005, 0.005, 0.0, 0.005, 0.0, 0.015, -0.015, 0.008, 0.012 </matrix1>
                    <matrix2> 0.0, 0.0, 0.008, 0.008, 0.008, 0.009, 0.003, -0.008, 0.005, 0.011 </matrix2>
                    <matrix3> 0.015, 0.01, 0.005, 0.005, 0.013, 0.008, 0.004, 0.008, 0.006, 0.006 </matrix3>
                    <matrix4> 0.015, 0.01, -0.005, 0.004, 0.013, 0.011, 0.008, 0.0, 0.0, 0.008 </matrix4>
                    <matrix5> 0.0, 0.0, 0.0, 0.007, 0.01, 0.012, 0.002, -0.002, -0.005, -0.005 </matrix5>
                    <matrix6> 0.0, 0.0, 0.0, 0.0, -0.01, -0.01, 0.005, 0.005, 0.0, 0.0 </matrix6>
                </wCastDuvNight>

                <wCastTempNight>
                    <matrix0> -0.02, -0.02, -0.01, -0.01, -0.01, -0.01, 0.005, 0.02, 0.015, 0.015 </matrix0>
                    <matrix1> -0.02, -0.02, -0.01, -0.01, 0.003, -0.01, 0.015, 0.01, 0.0, 0.004 </matrix1>
                    <matrix2> -0.02, -0.01, 0.0, -0.005, 0.003, 0.0, 0.002, -0.008, -0.008, 0.002 </matrix2>
                    <matrix3> 0.0, -0.015, -0.01, -0.002, 0.006, 0.008, 0.003, 0.006, -0.004, 0.001 </matrix3>
                    <matrix4> 0.015, 0.015, -0.005, -0.005, 0.012, 0.017, 0.011, -0.007, -0.002, 0.002 </matrix4>
                    <matrix5> 0.0, 0.0, 0.005, 0.005, 0.008, 0.008, 0.01, 0.012, 0.005, -0.003 </matrix5>
                    <matrix6> -0.02, 0.0, 0.005, 0.004, -0.01, 0.0, 0.005, 0.02, 0.0, 0.0 </matrix6>
                </wCastTempNight>

                <wMergePrevTemp>
                    <matrix0> 0, 0, 50, 50, 50, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                </wMergePrevTemp>

                <wMergePrevDuv>
                    <matrix0> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                    <matrix5> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 70, 0, 0, 0, 70, 70, 0, 0 </matrix5>
                    <matrix6> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix6>
                    <matrix7> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix7>
                    <matrix8> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix8>
                    <matrix9> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix9>
                </wMergePrevDuv>
            </ellipMode>

            <longFrameMode>
                <enableDynamicCcm>0</enableDynamicCcm>
                <wCastDuvNight>
                    <matrix0> 0.0, 0.005, 0.005, 0.01, 0.01, 0.01, -0.005, -0.015, -0.01, -0.01 </matrix0>
                    <matrix1> 0.0, 0.005, 0.005, 0.0, 0.005, 0.0, 0.015, -0.015, 0.008, 0.012 </matrix1>
                    <matrix2> 0.0, 0.0, 0.008, 0.008, 0.008, 0.009, 0.003, -0.008, 0.005, 0.011 </matrix2>
                    <matrix3> 0.015, 0.01, 0.005, 0.005, 0.013, 0.008, 0.004, 0.008, 0.006, 0.006 </matrix3>
                    <matrix4> 0.015, 0.01, -0.005, 0.004, 0.013, 0.011, 0.008, 0.0, 0.0, 0.008 </matrix4>
                    <matrix5> 0.0, 0.0, 0.0, 0.007, 0.01, 0.012, 0.002, -0.002, -0.005, -0.005 </matrix5>
                    <matrix6> 0.0, 0.0, 0.0, 0.0, -0.01, -0.01, 0.005, 0.005, 0.0, 0.0 </matrix6>
                </wCastDuvNight>

                <wCastTempNight>
                    <matrix0> -0.02, -0.02, -0.01, -0.01, -0.01, -0.01, 0.005, 0.02, 0.015, 0.015 </matrix0>
                    <matrix1> -0.02, -0.02, -0.01, -0.01, 0.003, -0.01, 0.015, 0.01, 0.0, 0.004 </matrix1>
                    <matrix2> -0.02, -0.01, 0.0, -0.005, 0.003, 0.0, 0.002, -0.008, -0.008, 0.002 </matrix2>
                    <matrix3> 0.0, -0.015, -0.01, -0.002, 0.006, 0.008, 0.003, 0.006, -0.004, 0.001 </matrix3>
                    <matrix4> 0.015, 0.015, -0.005, -0.005, 0.012, 0.017, 0.011, -0.007, -0.002, 0.002 </matrix4>
                    <matrix5> 0.0, 0.0, 0.005, 0.005, 0.008, 0.008, 0.01, 0.012, 0.005, -0.003 </matrix5>
                    <matrix6> -0.02, 0.0, 0.005, 0.004, -0.01, 0.0, 0.005, 0.02, 0.0, 0.0 </matrix6>
                </wCastTempNight>

                <wMergePrevTemp>
                    <matrix0> 0, 0, 50, 50, 50, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                </wMergePrevTemp>

                <wMergePrevDuv>
                    <matrix0> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                    <matrix5> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 70, 0, 0, 0, 70, 70, 0, 0 </matrix5>
                    <matrix6> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix6>
                    <matrix7> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix7>
                    <matrix8> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix8>
                    <matrix9> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix9>
                </wMergePrevDuv>
            </longFrameMode>

            <superNightMode>
                <enableDynamicCcm>0</enableDynamicCcm>
                <wCastDuvNight>
                    <matrix0> 0.0, 0.005, 0.005, 0.01, 0.01, 0.01, -0.005, -0.015, -0.01, -0.01 </matrix0>
                    <matrix1> 0.0, 0.005, 0.005, 0.0, 0.005, 0.0, 0.015, -0.015, 0.008, 0.012 </matrix1>
                    <matrix2> 0.0, 0.0, 0.008, 0.008, 0.008, 0.009, 0.003, -0.008, 0.005, 0.011 </matrix2>
                    <matrix3> 0.015, 0.01, 0.005, 0.005, 0.013, 0.008, 0.004, 0.008, 0.006, 0.006 </matrix3>
                    <matrix4> 0.015, 0.01, -0.005, 0.004, 0.013, 0.011, 0.008, 0.0, 0.0, 0.008 </matrix4>
                    <matrix5> 0.0, 0.0, 0.0, 0.007, 0.01, 0.012, 0.002, -0.002, -0.005, -0.005 </matrix5>
                    <matrix6> 0.0, 0.0, 0.0, 0.0, -0.01, -0.01, 0.005, 0.005, 0.0, 0.0 </matrix6>
                </wCastDuvNight>

                <wCastTempNight>
                    <matrix0> -0.02, -0.02, -0.01, -0.01, -0.01, -0.01, 0.005, 0.02, 0.015, 0.015 </matrix0>
                    <matrix1> -0.02, -0.02, -0.01, -0.01, 0.003, -0.01, 0.015, 0.01, 0.0, 0.004 </matrix1>
                    <matrix2> -0.02, -0.01, 0.0, -0.005, 0.003, 0.0, -0.004, -0.01, -0.008, 0.002 </matrix2>
                    <matrix3> 0.0, -0.015, -0.01, -0.002, 0.006, 0.008, 0.003, 0.006, -0.004, 0.001 </matrix3>
                    <matrix4> 0.015, 0.015, -0.005, -0.005, 0.012, 0.017, 0.011, -0.007, -0.002, 0.002 </matrix4>
                    <matrix5> 0.0, 0.0, 0.005, 0.005, 0.008, 0.008, 0.01, 0.012, 0.005, -0.003 </matrix5>
                    <matrix6> -0.02, 0.0, 0.005, 0.004, -0.01, 0.0, 0.005, 0.02, 0.0, 0.0 </matrix6>
                </wCastTempNight>

                <wMergePrevTemp>
                    <matrix0> 0, 0, 50, 50, 50, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                </wMergePrevTemp>

                <wMergePrevDuv>
                    <matrix0> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                    <matrix5> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 70, 0, 0, 0, 70, 70, 0, 0 </matrix5>
                    <matrix6> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix6>
                    <matrix7> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix7>
                    <matrix8> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix8>
                    <matrix9> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix9>
                </wMergePrevDuv>
            </superNightMode>
        </pqSetting>
    </cameraFront>

    <cameraFrontWide>
        <enableUsePreviewGain>0</enableUsePreviewGain>
        <pqSetting>
            <p2targetMat>
                <value> 1.151241, -0.742549, 0.057127, -0.023782, 1.000000, -0.061127, -0.080218, -0.163052, 0.915200 </value>
            </p2targetMat>

            <target2pMat>
                <value> 0.855448, 0.633403, -0.011092, 0.025202, 1.000000, 0.065217, 0.079471, 0.233678, 1.071237 </value>
            </target2pMat>

            <otpShift>
                <value>0.992596, 0.992426</value>
            </otpShift>

            <otpShiftNet>
                <value>1.00, 1.00</value>
            </otpShiftNet>

            <awbGoldenCalibParam>
                <value>1746, 1024, 1965</value>
            </awbGoldenCalibParam>

            <tempBinTable>
                <value> 0.14, 0.09, 0.045,  0.0, -0.06, -0.12, -0.18, -0.23, -0.29, -0.34 </value>
            </tempBinTable>

            <duvBinTable>
                <value> -0.048, -0.032, -0.016, 0, 0.016, 0.032, 0.048 </value>
            </duvBinTable>

            <lvBinTable>
                <value> -10, -15, -20, -30, -40 </value>
            </lvBinTable>

            <tempShortBinTable>
                <value> 0.09, 0.0, -0.12, -0.23, -0.34 </value>
            </tempShortBinTable>

            <duvShortBinTable>
                <value> -0.048, -0.024, 0, 0.024, 0.048 </value>
            </duvShortBinTable>

            <ellipMode>
                <enableDynamicCcm>0</enableDynamicCcm>
                <wCastDuvNight>
                    <matrix0> 0.0, 0.005, 0.005, 0.01, 0.01, 0.01, -0.005, -0.015, -0.01, -0.01 </matrix0>
                    <matrix1> 0.0, 0.005, 0.005, 0.0, 0.005, 0.0, 0.015, -0.015, 0.008, 0.012 </matrix1>
                    <matrix2> 0.0, 0.0, 0.008, 0.008, 0.008, 0.009, 0.003, -0.008, 0.005, 0.011 </matrix2>
                    <matrix3> 0.015, 0.01, 0.005, 0.005, 0.013, 0.008, 0.004, 0.008, 0.006, 0.006 </matrix3>
                    <matrix4> 0.015, 0.01, -0.005, 0.004, 0.013, 0.011, 0.008, 0.0, 0.0, 0.008 </matrix4>
                    <matrix5> 0.0, 0.0, 0.0, 0.007, 0.01, 0.012, 0.002, -0.002, -0.005, -0.005 </matrix5>
                    <matrix6> 0.0, 0.0, 0.0, 0.0, -0.01, -0.01, 0.005, 0.005, 0.0, 0.0 </matrix6>
                </wCastDuvNight>

                <wCastTempNight>
                    <matrix0> -0.02, -0.02, -0.01, -0.01, -0.01, -0.01, 0.005, 0.02, 0.015, 0.015 </matrix0>
                    <matrix1> -0.02, -0.02, -0.01, -0.01, 0.003, -0.01, 0.015, 0.01, 0.0, 0.004 </matrix1>
                    <matrix2> -0.02, -0.01, 0.0, -0.005, 0.003, 0.0, 0.002, -0.008, -0.008, 0.002 </matrix2>
                    <matrix3> 0.0, -0.015, -0.01, -0.002, 0.006, 0.008, 0.003, 0.006, -0.004, 0.001 </matrix3>
                    <matrix4> 0.015, 0.015, -0.005, -0.005, 0.012, 0.017, 0.011, -0.007, -0.002, 0.002 </matrix4>
                    <matrix5> 0.0, 0.0, 0.005, 0.005, 0.008, 0.008, 0.01, 0.012, 0.005, -0.003 </matrix5>
                    <matrix6> -0.02, 0.0, 0.005, 0.004, -0.01, 0.0, 0.005, 0.02, 0.0, 0.0 </matrix6>
                </wCastTempNight>

                <wMergePrevTemp>
                    <matrix0> 0, 0, 50, 50, 50, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                </wMergePrevTemp>

                <wMergePrevDuv>
                    <matrix0> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                    <matrix5> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 70, 0, 0, 0, 70, 70, 0, 0 </matrix5>
                    <matrix6> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix6>
                    <matrix7> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix7>
                    <matrix8> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix8>
                    <matrix9> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix9>
                </wMergePrevDuv>
            </ellipMode>

            <longFrameMode>
                <enableDynamicCcm>0</enableDynamicCcm>
                <wCastDuvNight>
                    <matrix0> 0.0, 0.005, 0.005, 0.01, 0.01, 0.01, -0.005, -0.015, -0.01, -0.01 </matrix0>
                    <matrix1> 0.0, 0.005, 0.005, 0.0, 0.005, 0.0, 0.015, -0.015, 0.008, 0.012 </matrix1>
                    <matrix2> 0.0, 0.0, 0.008, 0.008, 0.008, 0.009, 0.003, -0.008, 0.005, 0.011 </matrix2>
                    <matrix3> 0.015, 0.01, 0.005, 0.005, 0.013, 0.008, 0.004, 0.008, 0.006, 0.006 </matrix3>
                    <matrix4> 0.015, 0.01, -0.005, 0.004, 0.013, 0.011, 0.008, 0.0, 0.0, 0.008 </matrix4>
                    <matrix5> 0.0, 0.0, 0.0, 0.007, 0.01, 0.012, 0.002, -0.002, -0.005, -0.005 </matrix5>
                    <matrix6> 0.0, 0.0, 0.0, 0.0, -0.01, -0.01, 0.005, 0.005, 0.0, 0.0 </matrix6>
                </wCastDuvNight>

                <wCastTempNight>
                    <matrix0> -0.02, -0.02, -0.01, -0.01, -0.01, -0.01, 0.005, 0.02, 0.015, 0.015 </matrix0>
                    <matrix1> -0.02, -0.02, -0.01, -0.01, 0.003, -0.01, 0.015, 0.01, 0.0, 0.004 </matrix1>
                    <matrix2> -0.02, -0.01, 0.0, -0.005, 0.003, 0.0, 0.002, -0.008, -0.008, 0.002 </matrix2>
                    <matrix3> 0.0, -0.015, -0.01, -0.002, 0.006, 0.008, 0.003, 0.006, -0.004, 0.001 </matrix3>
                    <matrix4> 0.015, 0.015, -0.005, -0.005, 0.012, 0.017, 0.011, -0.007, -0.002, 0.002 </matrix4>
                    <matrix5> 0.0, 0.0, 0.005, 0.005, 0.008, 0.008, 0.01, 0.012, 0.005, -0.003 </matrix5>
                    <matrix6> -0.02, 0.0, 0.005, 0.004, -0.01, 0.0, 0.005, 0.02, 0.0, 0.0 </matrix6>
                </wCastTempNight>

                <wMergePrevTemp>
                    <matrix0> 0, 0, 50, 50, 50, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                </wMergePrevTemp>

                <wMergePrevDuv>
                    <matrix0> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                    <matrix5> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 70, 0, 0, 0, 70, 70, 0, 0 </matrix5>
                    <matrix6> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix6>
                    <matrix7> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix7>
                    <matrix8> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix8>
                    <matrix9> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix9>
                </wMergePrevDuv>
            </longFrameMode>

            <superNightMode>
                <enableDynamicCcm>0</enableDynamicCcm>
                <wCastDuvNight>
                    <matrix0> 0.0, 0.005, 0.005, 0.01, 0.01, 0.01, -0.005, -0.015, -0.01, -0.01 </matrix0>
                    <matrix1> 0.0, 0.005, 0.005, 0.0, 0.005, 0.0, 0.015, -0.015, 0.008, 0.012 </matrix1>
                    <matrix2> 0.0, 0.0, 0.008, 0.008, 0.008, 0.009, 0.003, -0.008, 0.005, 0.011 </matrix2>
                    <matrix3> 0.015, 0.01, 0.005, 0.005, 0.013, 0.008, 0.004, 0.008, 0.006, 0.006 </matrix3>
                    <matrix4> 0.015, 0.01, -0.005, 0.004, 0.013, 0.011, 0.008, 0.0, 0.0, 0.008 </matrix4>
                    <matrix5> 0.0, 0.0, 0.0, 0.007, 0.01, 0.012, 0.002, -0.002, -0.005, -0.005 </matrix5>
                    <matrix6> 0.0, 0.0, 0.0, 0.0, -0.01, -0.01, 0.005, 0.005, 0.0, 0.0 </matrix6>
                </wCastDuvNight>

                <wCastTempNight>
                    <matrix0> -0.02, -0.02, -0.01, -0.01, -0.01, -0.01, 0.005, 0.02, 0.015, 0.015 </matrix0>
                    <matrix1> -0.02, -0.02, -0.01, -0.01, 0.003, -0.01, 0.015, 0.01, 0.0, 0.004 </matrix1>
                    <matrix2> -0.02, -0.01, 0.0, -0.005, 0.003, 0.0, -0.004, -0.01, -0.008, 0.002 </matrix2>
                    <matrix3> 0.0, -0.015, -0.01, -0.002, 0.006, 0.008, 0.003, 0.006, -0.004, 0.001 </matrix3>
                    <matrix4> 0.015, 0.015, -0.005, -0.005, 0.012, 0.017, 0.011, -0.007, -0.002, 0.002 </matrix4>
                    <matrix5> 0.0, 0.0, 0.005, 0.005, 0.008, 0.008, 0.01, 0.012, 0.005, -0.003 </matrix5>
                    <matrix6> -0.02, 0.0, 0.005, 0.004, -0.01, 0.0, 0.005, 0.02, 0.0, 0.0 </matrix6>
                </wCastTempNight>

                <wMergePrevTemp>
                    <matrix0> 0, 0, 50, 50, 50, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                </wMergePrevTemp>

                <wMergePrevDuv>
                    <matrix0> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix0>
                    <matrix1> 0, 0, 0, 0, 0, 0, 0, 80, 80, 50, 0, 0, 80, 80, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix1>
                    <matrix2> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix2>
                    <matrix3> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix3>
                    <matrix4> 0, 0, 0, 0, 0, 0, 0, 80, 95, 50, 0, 0, 80, 95, 50, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix4>
                    <matrix5> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 70, 70, 0, 0, 0, 70, 70, 0, 0 </matrix5>
                    <matrix6> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix6>
                    <matrix7> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix7>
                    <matrix8> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix8>
                    <matrix9> 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 </matrix9>
                </wMergePrevDuv>
            </superNightMode>
        </pqSetting>
    </cameraFrontWide>
</Config>